Calendar

- Main Page
- Related Pages
- Data Structures
- Files
- Examples

Typedefs | Enumerations | Functions
Calendar

## Typedefs
typedef struct _Elm_Calendar_Mark | Elm_Calendar_Mark
| Item handle for a calendar mark. More...
typedef char *(* | Elm_Calendar_Format_Cb) (struct tm *stime)
| This callback type is used to format the string that will be used to display month and year. More...

## Enumerations

## Functions
EOAPI void | elm_obj_calendar_first_day_of_week_set (Elm_Calendar_Weekday day)
| Set the first day of week to use on calendar widgets'. More...
EOAPI Elm_Calendar_Weekday | elm_obj_calendar_first_day_of_week_get (void)
| Get the first day of week, who are used on calendar widgets'. More...
EOAPI void | elm_obj_calendar_selectable_set (Elm_Calendar_Selectable selectable)
| Define which fields of a tm struct will be taken into account, when Elm.Calendar.selected_time.set is invoked. More...
EOAPI Elm_Calendar_Selectable | elm_obj_calendar_selectable_get (void)
| Get how elm_calendar_selected_time_set manage a date. More...
EOAPI void | elm_obj_calendar_interval_set (double interval)
| Set the interval on time updates for an user mouse button hold on calendar widgets' month/year selection. More...
EOAPI double | elm_obj_calendar_interval_get (void)
| Get the interval on time updates for an user mouse button hold on calendar widgets' month/year selection. More...
EOAPI void | elm_obj_calendar_weekdays_names_set (const char **weekdays)
| Set weekdays names to be displayed by the calendar. More...
EOAPI const char ** | elm_obj_calendar_weekdays_names_get (void)
| Get weekdays names displayed by the calendar. More...
EOAPI void | elm_obj_calendar_select_mode_set (Elm_Calendar_Select_Mode mode)
| Set select day mode to use. More...
EOAPI Elm_Calendar_Select_Mode | elm_obj_calendar_select_mode_get (void)
| Get the select day mode used. More...
EOAPI void | elm_obj_calendar_min_max_year_set (int min, int max)
| Set the minimum and maximum values for the year. More...
EOAPI void | elm_obj_calendar_min_max_year_get (int *min, int *max)
| Get the minimum and maximum values for the year. More...
EOAPI void | elm_obj_calendar_format_function_set (Elm_Calendar_Format_Cb format_function)
| Set a function to format the string that will be used to display month and year;. More...
EOAPI const Eina_List * | elm_obj_calendar_marks_get (void)
| Get a list of all the calendar marks. More...
EOAPI void | elm_obj_calendar_selected_time_set (Elm_Calendar_Time *selected_time)
| Set selected date to be highlighted on calendar. More...
EOAPI Eina_Bool | elm_obj_calendar_selected_time_get (Elm_Calendar_Time *selected_time)
| Get selected date. More...
EOAPI Elm_Calendar_Mark * | elm_obj_calendar_mark_add (const char *mark_type, Elm_Calendar_Time *mark_time, Elm_Calendar_Mark_Repeat_Type repeat)
| Add a new mark to the calendar. More...
EOAPI void | elm_obj_calendar_marks_clear (void)
| Remove all calendar's marks. More...
EOAPI void | elm_obj_calendar_marks_draw (void)
| Draw calendar marks. More...
EOAPI Eina_Bool | elm_obj_calendar_displayed_time_get (Elm_Calendar_Time *displayed_time)
| Get the current time displayed in the widget. More...
void | elm_calendar_first_day_of_week_set (Elm_Calendar *obj, Elm_Calendar_Weekday day)
| Set the first day of week to use on calendar widgets'. More...
Elm_Calendar_Weekday | elm_calendar_first_day_of_week_get (const Elm_Calendar *obj)
| Get the first day of week, who are used on calendar widgets'. More...
void | elm_calendar_selectable_set (Elm_Calendar *obj, Elm_Calendar_Selectable selectable)
| Define which fields of a tm struct will be taken into account, when Elm.Calendar.selected_time.set is invoked. More...
Elm_Calendar_Selectable | elm_calendar_selectable_get (const Elm_Calendar *obj)
| Get how elm_calendar_selected_time_set manage a date. More...
void | elm_calendar_interval_set (Elm_Calendar *obj, double interval)
| Set the interval on time updates for an user mouse button hold on calendar widgets' month/year selection. More...
double | elm_calendar_interval_get (const Elm_Calendar *obj)
| Get the interval on time updates for an user mouse button hold on calendar widgets' month/year selection. More...
void | elm_calendar_weekdays_names_set (Elm_Calendar *obj, const char **weekdays)
| Set weekdays names to be displayed by the calendar. More...
const char ** | elm_calendar_weekdays_names_get (const Elm_Calendar *obj)
| Get weekdays names displayed by the calendar. More...
void | elm_calendar_select_mode_set (Elm_Calendar *obj, Elm_Calendar_Select_Mode mode)
| Set select day mode to use. More...
Elm_Calendar_Select_Mode | elm_calendar_select_mode_get (const Elm_Calendar *obj)
| Get the select day mode used. More...
void | elm_calendar_min_max_year_set (Elm_Calendar *obj, int min, int max)
| Set the minimum and maximum values for the year. More...
void | elm_calendar_min_max_year_get (const Elm_Calendar *obj, int *min, int *max)
| Get the minimum and maximum values for the year. More...
void | elm_calendar_format_function_set (Elm_Calendar *obj, Elm_Calendar_Format_Cb format_function)
| Set a function to format the string that will be used to display month and year;. More...
const Eina_List * | elm_calendar_marks_get (const Elm_Calendar *obj)
| Get a list of all the calendar marks. More...
void | elm_calendar_selected_time_set (Elm_Calendar *obj, Elm_Calendar_Time *selected_time)
| Set selected date to be highlighted on calendar. More...
Eina_Bool | elm_calendar_selected_time_get (const Elm_Calendar *obj, Elm_Calendar_Time *selected_time)
| Get selected date. More...
Elm_Calendar_Mark * | elm_calendar_mark_add (Elm_Calendar *obj, const char *mark_type, Elm_Calendar_Time *mark_time, Elm_Calendar_Mark_Repeat_Type repeat)
| Add a new mark to the calendar. More...
void | elm_calendar_marks_clear (Elm_Calendar *obj)
| Remove all calendar's marks. More...
void | elm_calendar_marks_draw (Elm_Calendar *obj)
| Draw calendar marks. More...
Eina_Bool | elm_calendar_displayed_time_get (const Elm_Calendar *obj, Elm_Calendar_Time *displayed_time)
| Get the current time displayed in the widget. More...
void | elm_calendar_mark_del (Elm_Calendar_Mark *mark)
| Delete mark from the calendar. More...
Evas_Object * | elm_calendar_add (Evas_Object *parent)
| Add a new calendar widget to the given parent Elementary (container) object. More...

## Detailed Description

This is a calendar widget. It helps applications to flexibly display a calendar with day of the week, date, year and month. Applications are able to set specific dates to be reported back, when selected, in the smart callbacks of the calendar widget. The API of this widget lets the applications perform other functions, like:

- placing marks on specific dates
- setting the bounds for the calendar (minimum and maximum years)
- setting the day names of the week (e.g. "Thu" or "Thursday")
- setting the year and month format.

This widget inherits from the Layout one, so that all the functions acting on it also work for calendar objects.

This widget emits the following signals, besides the ones sent from Layout:

- `"changed"` - emitted when the date in the calendar is changed.
- `"display,changed"` - emitted when the current month displayed in the calendar is changed.
- `"focused"` - When the calendar has received focus. (since 1.8)
- `"unfocused"` - When the calendar has lost focus. (since 1.8)
- `"language,changed"` - the program's language changed (since 1.9)

Supported elm_object common APIs.

- elm_object_signal_emit
- elm_object_signal_callback_add
- elm_object_signal_callback_del

Here is some sample code using it:

- Calendar - Simple creation.
- Calendar - Layout strings formatting.
- Calendar - Years restrictions.
- Calendar - Days selection.
- Calendar - Signal callback and getters.
- Calendar - Calendar marks.

## Typedef Documentation

typedef char*(* Elm_Calendar_Format_Cb) (struct tm *stime)

This callback type is used to format the string that will be used to display month and year.

Parameters

  stime | Struct representing time.

Returns
  String representing time that will be set to calendar's text.

See also
  elm_calendar_format_function_set()

typedef struct _Elm_Calendar_Mark Elm_Calendar_Mark

Item handle for a calendar mark.

Created with elm_calendar_mark_add() and deleted with elm_calendar_mark_del().

## Enumeration Type Documentation

enum Elm_Calendar_Selectable

A bitmask used to define which fields of a `tm` struct will be taken into account, when elm_calendar_selected_time_set() is invoked.

See also elm_obj_calendar_selectable_set, elm_obj_calendar_selected_time_set.

Since
  1.8

enum Elm_Calendar_Selectable

A bitmask used to define which fields of a `tm` struct will be taken into account, when elm_calendar_selected_time_set() is invoked.

See also elm_calendar_selectable_set, elm_calendar_selected_time_set.

Since
  1.8

enum Elm_Calendar_Weekday

A weekday.

See also elm_calendar_first_day_of_week_set.

enum Elm_Calendar_Weekday

A weekday.

See also elm_obj_calendar_first_day_of_week_set.

## Function Documentation

Evas_Object* elm_calendar_add | ( | Evas_Object * | parent | ) |

Add a new calendar widget to the given parent Elementary (container) object.

Parameters

  parent | The parent object.

Returns
  a new calendar widget handle or `NULL`, on errors.

This function inserts a new calendar widget on the canvas.

Calendar - Simple creation.

References elm_calendar_select_mode_set().

Eina_Bool elm_calendar_displayed_time_get | ( | const Elm_Calendar * | obj,
|  | Elm_Calendar_Time * | displayed_time
| ) |  |

Get the current time displayed in the widget.

Parameters

  [in,out] | displayed_time | A tm struct to point to displayed date.

Since
  1.8

References elm_obj_calendar_displayed_time_get().

Elm_Calendar_Weekday elm_calendar_first_day_of_week_get | ( | const Elm_Calendar * | obj | ) |

Get the first day of week, who are used on calendar widgets'.

See also elm_calendar_first_day_of_week_set for more details.

Returns
  An int which correspond to the first day of the week (Sunday = 0, Monday = 1, ..., Saturday = 6).

References elm_obj_calendar_first_day_of_week_get().

void elm_calendar_first_day_of_week_set | ( | Elm_Calendar * | obj,
|  | Elm_Calendar_Weekday | day
| ) |  |

Set the first day of week to use on calendar widgets'.

Parameters

  [in] | day | An int which correspond to the first day of the week (Sunday = 0, Monday = 1, ..., Saturday = 6).

References elm_obj_calendar_first_day_of_week_set().

void elm_calendar_format_function_set | ( | Elm_Calendar * | obj,
|  | Elm_Calendar_Format_Cb | format_function
| ) |  |

Set a function to format the string that will be used to display month and year;.

By default it uses strftime with "%B %Y" format string. It should allocate the memory that will be used by the string, that will be freed by the widget after usage. A pointer to the string and a pointer to the time struct will be provided.

Calendar - Layout strings formatting..

Parameters

  [in] | format_function | Function to set the month-year string given the selected date.

References elm_obj_calendar_format_function_set().

double elm_calendar_interval_get | ( | const Elm_Calendar * | obj | ) |

Get the interval on time updates for an user mouse button hold on calendar widgets' month/year selection.

See also elm_calendar_interval_set for more details.

Returns
  The (first) interval value in seconds

References elm_obj_calendar_interval_get().

void elm_calendar_interval_set | ( | Elm_Calendar * | obj,
|  | double | interval
| ) |  |

Set the interval on time updates for an user mouse button hold on calendar widgets' month/year selection.

This interval value is decreased while the user holds the mouse pointer either selecting next or previous month/year.

This helps the user to get to a given month distant from the current one easier/faster, as it will start to change quicker and quicker on mouse button holds.

The calculation for the next change interval value, starting from the one set with this call, is the previous interval divided by 1.05, so it decreases a little bit.

The default starting interval value for automatic changes is 0.85 seconds.

See also elm_calendar_interval_get.

Parameters

  [in] | interval | The (first) interval value in seconds

References elm_obj_calendar_interval_set().

Elm_Calendar_Mark* elm_calendar_mark_add | ( | Elm_Calendar * | obj,
|  | const char * | mark_type,
|  | Elm_Calendar_Time * | mark_time,
|  | Elm_Calendar_Mark_Repeat_Type | repeat
| ) |  |

Add a new mark to the calendar.

Add a mark that will be drawn in the calendar respecting the insertion time and periodicity. It will emit the type as signal to the widget theme. Default theme supports "holiday" and "checked", but it can be extended.

It won't immediately update the calendar, drawing the marks. For this, elm_calendar_marks_draw(). However, when user selects next or previous month calendar forces marks drawn.

Marks created with this method can be deleted with elm_calendar_mark_del().

See also elm_calendar_marks_draw, elm_calendar_mark_del().

Calendar - Calendar marks.

Parameters

  [in] | mark_time | A time struct to represent the date of inclusion of the mark. For marks that repeats it will just be displayed after the inclusion date in the calendar.
  [in] | repeat | Repeat the event following this periodicity. Can be a unique mark (that don't repeat), daily, weekly, monthly or annually.

References elm_obj_calendar_mark_add().

void elm_calendar_mark_del | ( | Elm_Calendar_Mark * | mark | ) |

Delete mark from the calendar.

Parameters

  mark | The mark to be deleted.

If deleting all calendar marks is required, elm_calendar_marks_clear() should be used instead of getting marks list and deleting each one.

See also
  elm_calendar_mark_add()

Calendar - Calendar marks.

void elm_calendar_marks_clear | ( | Elm_Calendar * | obj | ) |

Remove all calendar's marks.

See also elm_calendar_mark_add, elm_calendar_mark_del().

References elm_obj_calendar_marks_clear().

void elm_calendar_marks_draw | ( | Elm_Calendar * | obj | ) |

Draw calendar marks.

Should be used after adding, removing or clearing marks. It will go through the entire marks list updating the calendar. If lots of marks will be added, add all the marks and then call this function.

When the month is changed, i.e. user selects next or previous month, marks will be drawn.

See also elm_calendar_mark_add, elm_calendar_mark_del(), elm_calendar_marks_clear.

Calendar - Calendar marks.

References elm_obj_calendar_marks_draw().

const Eina_List* elm_calendar_marks_get | ( | const Elm_Calendar * | obj | ) |

Get a list of all the calendar marks.

See also elm_calendar_mark_add, elm_calendar_mark_del(), elm_calendar_marks_clear.

References elm_obj_calendar_marks_get().

void elm_calendar_min_max_year_get | ( | const Elm_Calendar * | obj,
|  | int * | min,
|  | int * | max
| ) |  |

Get the minimum and maximum values for the year.

Default values are 1902 and -1.

See also elm_calendar_min_max_year_set for more details.

Calendar - Signal callback and getters..

Parameters

  [out] | min | The minimum year, greater than 1901;
  [out] | max | The maximum year;

References elm_obj_calendar_min_max_year_get().

void elm_calendar_min_max_year_set | ( | Elm_Calendar * | obj,
|  | int | min,
|  | int | max
| ) |  |

Set the minimum and maximum values for the year.

Maximum must be greater than minimum, except if you don't want to set maximum year. Default values are 1902 and -1.

If the maximum year is a negative value, it will be limited depending on the platform architecture (year 2037 for 32 bits);

See also elm_calendar_min_max_year_get.

Calendar - Years restrictions..

Parameters

  [in] | min | The minimum year, greater than 1901;
  [in] | max | The maximum year;

References elm_obj_calendar_min_max_year_set().

Elm_Calendar_Select_Mode elm_calendar_select_mode_get | ( | const Elm_Calendar * | obj | ) |

Get the select day mode used.

Get the day selection mode used.

See also elm_calendar_select_mode_set for more details.

Returns
  The select mode to use.

References elm_obj_calendar_select_mode_get().

void elm_calendar_select_mode_set | ( | Elm_Calendar * | obj,
|  | Elm_Calendar_Select_Mode | mode
| ) |  |

Set select day mode to use.

Set the day selection mode used.

Parameters

  [in] | mode | The select mode to use.

References elm_obj_calendar_select_mode_set().

Referenced by elm_calendar_add().

Elm_Calendar_Selectable elm_calendar_selectable_get | ( | const Elm_Calendar * | obj | ) |

Get how elm_calendar_selected_time_set manage a date.

See also elm_calendar_selectable_set, elm_calendar_selected_time_set.

Returns
  A bitmask of Elm_Calendar_Selectable

Since
  1.8

References elm_obj_calendar_selectable_get().

void elm_calendar_selectable_set | ( | Elm_Calendar * | obj,
|  | Elm_Calendar_Selectable | selectable
| ) |  |

Define which fields of a tm struct will be taken into account, when Elm.Calendar.selected_time.set is invoked.

By Default the bitmask is set to use all fields of a tm struct (year, month and day of the month).

See also elm_calendar_selected_time_set.

Parameters

  [in] | selectable | A bitmask of Elm_Calendar_Selectable

Since
  1.8

References elm_obj_calendar_selectable_set().

Eina_Bool elm_calendar_selected_time_get | ( | const Elm_Calendar * | obj,
|  | Elm_Calendar_Time * | selected_time
| ) |  |

Get selected date.

Get date selected by the user or set by function elm_calendar_selected_time_set(). Selected date changes when the user goes to next/previous month or select a day pressing over it on calendar.

See also elm_calendar_selected_time_get.

Calendar - Signal callback and getters..

Parameters

  [in,out] | selected_time | A tm struct to point to selected date.

References elm_obj_calendar_selected_time_get().

void elm_calendar_selected_time_set | ( | Elm_Calendar * | obj,
|  | Elm_Calendar_Time * | selected_time
| ) |  |

Set selected date to be highlighted on calendar.

Set the selected date, changing the displayed month if needed. Selected date changes when the user goes to next/previous month or select a day pressing over it on calendar.

See also elm_calendar_selected_time_get.

Calendar - Days selection.

Parameters

  [in] | selected_time | A tm struct to represent the selected date.

References elm_obj_calendar_selected_time_set().

const char** elm_calendar_weekdays_names_get | ( | const Elm_Calendar * | obj | ) |

Get weekdays names displayed by the calendar.

By default, weekdays abbreviations get from system are displayed: E.g. for an en_US locale: "Sun, Mon, Tue, Wed, Thu, Fri, Sat" The first string is related to Sunday, the second to Monday...

See also elm_calendar_weekdays_names_set.

Calendar - Signal callback and getters..

Returns
  Array of seven strings to be used as weekday names. Warning: It must have 7 elements, or it will access invalid memory. Warning: The strings must be `null` terminated ('\0').

References elm_obj_calendar_weekdays_names_get().

void elm_calendar_weekdays_names_set | ( | Elm_Calendar * | obj,
|  | const char ** | weekdays
| ) |  |

Set weekdays names to be displayed by the calendar.

By default, weekdays abbreviations get from system are displayed: E.g. for an en_US locale: "Sun, Mon, Tue, Wed, Thu, Fri, Sat"

The first string should be related to Sunday, the second to Monday...

See also elm_calendar_weekdays_names_get.

Calendar - Layout strings formatting..

Parameters

  [in] | weekdays | Array of seven strings to be used as weekday names. Warning: It must have 7 elements, or it will access invalid memory. Warning: The strings must be `null` terminated ('\0').

References elm_obj_calendar_weekdays_names_set().

EOAPI Eina_Bool elm_obj_calendar_displayed_time_get | ( | Elm_Calendar_Time * | displayed_time | ) |

Get the current time displayed in the widget.

Parameters

  [in,out] | displayed_time | A tm struct to point to displayed date.

Since
  1.8

Referenced by elm_calendar_displayed_time_get().

EOAPI Elm_Calendar_Weekday elm_obj_calendar_first_day_of_week_get | ( | void |  | ) |

Get the first day of week, who are used on calendar widgets'.

See also elm_obj_calendar_first_day_of_week_set for more details.

Returns
  An int which correspond to the first day of the week (Sunday = 0, Monday = 1, ..., Saturday = 6).

Referenced by elm_calendar_first_day_of_week_get().

EOAPI void elm_obj_calendar_first_day_of_week_set | ( | Elm_Calendar_Weekday | day | ) |

Set the first day of week to use on calendar widgets'.

Parameters

  [in] | day | An int which correspond to the first day of the week (Sunday = 0, Monday = 1, ..., Saturday = 6).

Referenced by elm_calendar_first_day_of_week_set().

EOAPI void elm_obj_calendar_format_function_set | ( | Elm_Calendar_Format_Cb | format_function | ) |

Set a function to format the string that will be used to display month and year;.

By default it uses strftime with "%B %Y" format string. It should allocate the memory that will be used by the string, that will be freed by the widget after usage. A pointer to the string and a pointer to the time struct will be provided.

Calendar - Layout strings formatting..

Parameters

  [in] | format_function | Function to set the month-year string given the selected date.

Referenced by elm_calendar_format_function_set().

EOAPI double elm_obj_calendar_interval_get | ( | void |  | ) |

Get the interval on time updates for an user mouse button hold on calendar widgets' month/year selection.

See also elm_obj_calendar_interval_set for more details.

Returns
  The (first) interval value in seconds

Referenced by elm_calendar_interval_get().

EOAPI void elm_obj_calendar_interval_set | ( | double | interval | ) |

Set the interval on time updates for an user mouse button hold on calendar widgets' month/year selection.

This interval value is decreased while the user holds the mouse pointer either selecting next or previous month/year.

This helps the user to get to a given month distant from the current one easier/faster, as it will start to change quicker and quicker on mouse button holds.

The calculation for the next change interval value, starting from the one set with this call, is the previous interval divided by 1.05, so it decreases a little bit.

The default starting interval value for automatic changes is 0.85 seconds.

See also elm_obj_calendar_interval_get.

Parameters

  [in] | interval | The (first) interval value in seconds

Referenced by elm_calendar_interval_set().

EOAPI Elm_Calendar_Mark* elm_obj_calendar_mark_add | ( | const char * | mark_type,
|  | Elm_Calendar_Time * | mark_time,
|  | Elm_Calendar_Mark_Repeat_Type | repeat
| ) |  |

Add a new mark to the calendar.

Add a mark that will be drawn in the calendar respecting the insertion time and periodicity. It will emit the type as signal to the widget theme. Default theme supports "holiday" and "checked", but it can be extended.

It won't immediately update the calendar, drawing the marks. For this, elm_obj_calendar_marks_draw(). However, when user selects next or previous month calendar forces marks drawn.

Marks created with this method can be deleted with elm_calendar_mark_del().

See also elm_obj_calendar_marks_draw, elm_calendar_mark_del().

Calendar - Calendar marks.

Parameters

  [in] | mark_time | A time struct to represent the date of inclusion of the mark. For marks that repeats it will just be displayed after the inclusion date in the calendar.
  [in] | repeat | Repeat the event following this periodicity. Can be a unique mark (that don't repeat), daily, weekly, monthly or annually.

Referenced by elm_calendar_mark_add().

EOAPI void elm_obj_calendar_marks_clear | ( | void |  | ) |

Remove all calendar's marks.

See also elm_obj_calendar_mark_add, elm_calendar_mark_del().

Referenced by elm_calendar_marks_clear().

EOAPI void elm_obj_calendar_marks_draw | ( | void |  | ) |

Draw calendar marks.

Should be used after adding, removing or clearing marks. It will go through the entire marks list updating the calendar. If lots of marks will be added, add all the marks and then call this function.

When the month is changed, i.e. user selects next or previous month, marks will be drawn.

See also elm_obj_calendar_mark_add, elm_calendar_mark_del(), elm_obj_calendar_marks_clear.

Calendar - Calendar marks.

Referenced by elm_calendar_marks_draw().

EOAPI const Eina_List* elm_obj_calendar_marks_get | ( | void |  | ) |

Get a list of all the calendar marks.

See also elm_obj_calendar_mark_add, elm_calendar_mark_del(), elm_obj_calendar_marks_clear.

Referenced by elm_calendar_marks_get().

EOAPI void elm_obj_calendar_min_max_year_get | ( | int * | min,
|  | int * | max
| ) |  |

Get the minimum and maximum values for the year.

Default values are 1902 and -1.

See also elm_obj_calendar_min_max_year_set for more details.

Calendar - Signal callback and getters..

Parameters

  [out] | min | The minimum year, greater than 1901;
  [out] | max | The maximum year;

Referenced by elm_calendar_min_max_year_get().

EOAPI void elm_obj_calendar_min_max_year_set | ( | int | min,
|  | int | max
| ) |  |

Set the minimum and maximum values for the year.

Maximum must be greater than minimum, except if you don't want to set maximum year. Default values are 1902 and -1.

If the maximum year is a negative value, it will be limited depending on the platform architecture (year 2037 for 32 bits);

See also elm_obj_calendar_min_max_year_get.

Calendar - Years restrictions..

Parameters

  [in] | min | The minimum year, greater than 1901;
  [in] | max | The maximum year;

Referenced by elm_calendar_min_max_year_set().

EOAPI Elm_Calendar_Select_Mode elm_obj_calendar_select_mode_get | ( | void |  | ) |

Get the select day mode used.

Get the day selection mode used.

See also elm_obj_calendar_select_mode_set for more details.

Returns
  The select mode to use.

Referenced by elm_calendar_select_mode_get().

EOAPI void elm_obj_calendar_select_mode_set | ( | Elm_Calendar_Select_Mode | mode | ) |

Set select day mode to use.

Set the day selection mode used.

Parameters

  [in] | mode | The select mode to use.

Referenced by elm_calendar_select_mode_set().

EOAPI Elm_Calendar_Selectable elm_obj_calendar_selectable_get | ( | void |  | ) |

Get how elm_calendar_selected_time_set manage a date.

See also elm_obj_calendar_selectable_set, elm_obj_calendar_selected_time_set.

Returns
  A bitmask of Elm_Calendar_Selectable

Since
  1.8

Referenced by elm_calendar_selectable_get().

EOAPI void elm_obj_calendar_selectable_set | ( | Elm_Calendar_Selectable | selectable | ) |

Define which fields of a tm struct will be taken into account, when Elm.Calendar.selected_time.set is invoked.

By Default the bitmask is set to use all fields of a tm struct (year, month and day of the month).

See also elm_obj_calendar_selected_time_set.

Parameters

  [in] | selectable | A bitmask of Elm_Calendar_Selectable

Since
  1.8

Referenced by elm_calendar_selectable_set().

EOAPI Eina_Bool elm_obj_calendar_selected_time_get | ( | Elm_Calendar_Time * | selected_time | ) |

Get selected date.

Get date selected by the user or set by function elm_obj_calendar_selected_time_set(). Selected date changes when the user goes to next/previous month or select a day pressing over it on calendar.

See also elm_obj_calendar_selected_time_get.

Calendar - Signal callback and getters..

Parameters

  [in,out] | selected_time | A tm struct to point to selected date.

Referenced by elm_calendar_selected_time_get().

EOAPI void elm_obj_calendar_selected_time_set | ( | Elm_Calendar_Time * | selected_time | ) |

Set selected date to be highlighted on calendar.

Set the selected date, changing the displayed month if needed. Selected date changes when the user goes to next/previous month or select a day pressing over it on calendar.

See also elm_obj_calendar_selected_time_get.

Calendar - Days selection.

Parameters

  [in] | selected_time | A tm struct to represent the selected date.

Referenced by elm_calendar_selected_time_set().

EOAPI const char** elm_obj_calendar_weekdays_names_get | ( | void |  | ) |

Get weekdays names displayed by the calendar.

By default, weekdays abbreviations get from system are displayed: E.g. for an en_US locale: "Sun, Mon, Tue, Wed, Thu, Fri, Sat" The first string is related to Sunday, the second to Monday...

See also elm_obj_calendar_weekdays_names_set.

Calendar - Signal callback and getters..

Returns
  Array of seven strings to be used as weekday names. Warning: It must have 7 elements, or it will access invalid memory. Warning: The strings must be `null` terminated ('\0').

Referenced by elm_calendar_weekdays_names_get().

EOAPI void elm_obj_calendar_weekdays_names_set | ( | const char ** | weekdays | ) |

Set weekdays names to be displayed by the calendar.

By default, weekdays abbreviations get from system are displayed: E.g. for an en_US locale: "Sun, Mon, Tue, Wed, Thu, Fri, Sat"

The first string should be related to Sunday, the second to Monday...

See also elm_obj_calendar_weekdays_names_get.

Calendar - Layout strings formatting..

Parameters

  [in] | weekdays | Array of seven strings to be used as weekday names. Warning: It must have 7 elements, or it will access invalid memory. Warning: The strings must be `null` terminated ('\0').

Referenced by elm_calendar_weekdays_names_set().